Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.deegree.ogcwebservices.getcapabilities
Class Operation

    java.lang.Object
      org.deegree.ogcwebservices.getcapabilities.Operation

All Implemented Interfaces:
  Serializable

Direct Known Subclasses:
  Operation_1_0, Operation110

    public class Operation

extends Object
implements Serializable

Represents the definition of an `Operation` in the capabilities document of an OGC-web service according to the `OWS Common Implementation Specification 0.2` (and `owsOperationsMetadata.xsd`).

It consists of a mandatory `name` attribute and the following elements:

Name | Occurences | Function
--- | --- | ---
ows:DCP | 1-* | Unordered list of Distributed Computing Platforms (DCPs) supported for this operation. At present, only the HTTP DCP is defined, so this element will appear only once.
Parameter | 0-* | Optional unordered list of parameter domains that each apply to this operation which this server implements. If one of these Parameter elements has the same "name" attribute as a Parameter element in the OperationsMetadata element, this Parameter element shall override the other one for this operation. The list of required and optional parameter domain limitations for this operation shall be specified in the Implementation Specification for this service.
ows:Metadata | 0-* | Optional unordered list of additional metadata about this operation and its' implementation. A list of required and optional metadata elements for this operation should be specified in the Implementation Specification for this service. (Informative: This metadata might specify the operation request parameters or provide the XML Schemas for the operation request.)

Since:
  2.0
Version:
  1.0. $Revision: 18195 $, $Date: 2009-06-18 17:55:39 +0200 (Do, 18. Jun 2009) $
Author:
  Andreas Poth , Markus Schneider , last edited by: $Author: mschneider $
See Also:
  Serialized Form

Constructor Summary
`Operation(String name, DCPType[] dcps)` Creates a new `Operation` instance that has no `Parameter` information.
`Operation(String name, DCPType[] dcpTypes, OWSDomainType[] parameters)` Creates a new `Operation` instance with `Parameter` information.

Method Summary
`DCPType[]` | `getDCPs()` Returns the `DCP` definitions for the `Operation`.
`Object[]` | `getMetadata()`
`String` | `getName()` Returns the name of the `Operation`.
`OWSDomainType` | `getParameter(String name)` Returns the specified `Parameter` value for the `Operation`.
`OWSDomainType[]` | `getParameters()` Returns all `Parameters` of the `Operation`.
`void` | `setDCPs(DCPType[] dcpTypes)` Sets the `DCP` definitions for the `Operation`.
`void` | `setMetadata(Object[] metadata)`
`void` | `setName(String name)` Sets the name of the `Operation`.
`void` | `setParameters(OWSDomainType[] parameters)` Sets the `Parameters` of the `Operation`.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### Operation

    public Operation(String name,
                     DCPType[] dcps)

  Creates a new `Operation` instance that has no `Parameter` information.

  Parameters:
    `name` -
    `dcps` -

### Operation

    public Operation(String name,
                     DCPType[] dcpTypes,
                     OWSDomainType[] parameters)

  Creates a new `Operation` instance with `Parameter` information.

  Parameters:
    `name` -
    `dcpTypes` -
    `parameters` -

Method Detail

### getName

    public String getName()

  Returns the name of the `Operation`.

  Returns:
    the name of the `Operation`.

### setName

    public void setName(String name)

  Sets the name of the `Operation`.

  Parameters:
    `name` -

### getDCPs

    public DCPType[] getDCPs()

  Returns the `DCP` definitions for the `Operation`.

  Returns:
    the `DCP` definitions for the `Operation`.

### setDCPs

    public void setDCPs(DCPType[] dcpTypes)

  Sets the `DCP` definitions for the `Operation`.

  Parameters:
    `dcpTypes` -

### getParameter

    public OWSDomainType getParameter(String name)

  Returns the specified `Parameter` value for the `Operation`.

  Parameters:
    `name` -
  Returns:
    the domain type value

### getParameters

    public OWSDomainType[] getParameters()

  Returns all `Parameters` of the `Operation`.

  Returns:
    all `Parameters` of the `Operation`.

### setParameters

    public void setParameters(OWSDomainType[] parameters)

  Sets the `Parameters` of the `Operation`.

  Parameters:
    `parameters` -

### getMetadata

    public Object[] getMetadata()

  Returns:
    Returns the metadata.

### setMetadata

    public void setMetadata(Object[] metadata)

  Parameters:
    `metadata` - The metadata to set.

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| deegree 2.4 (2010/11/11 10:47 build-27-official)
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

an open source project founded by lat/lon, Bonn, Germany.
For more information visit: http://www.deegree.org